Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:        BusyBox is a tiny suite of Unix utilities in a multi-call binary.
Name:      	busybox
Version:   	1.11.1
Release:   	1
License: 	GNU/GPL
URL:	  	http://www.busybox.net
Group:     	System/Utilities
Source0: 	%{name}-%{version}.tar.bz2
Source1:	busybox-config
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
BusyBox combines tiny versions of many common UNIX utilities into a single
small executable. It provides minimalist replacements for most of the utilities
you usually find in fileutils, shellutils, findutils, textutils, grep, gzip,
tar, etc.  BusyBox provides a fairly complete POSIX environment for any small
or emdedded system.  The utilities in BusyBox generally have fewer options then
their full featured GNU cousins; however, the options that are provided behave
very much like their GNU counterparts.

%prep
%setup -n %{name}-%{version}
cp %{SOURCE1} .config

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install
mkdir -p $RPM_BUILD_ROOT/bin
cp -P -r _install/bin/busybox $RPM_BUILD_ROOT/bin/busybox
install -m 755 -d $RPM_BUILD_ROOT/usr/share/busybox
install -m 644 busybox.links $RPM_BUILD_ROOT/usr/share/busybox

%files
%defattr(-,root,root)
/bin/busybox
%_datadir/busybox/busybox.links

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 28 2008 Karsten Brockmann <arcam@ccux-linux.de>  1.11.1-1
- Version update
* Fri Jun 27 2008 Karsten Brockmann <arcam@ccux-linux.de>  1.10.4-1
- Version update
* Sat Jun 07 2008 Karsten Brockmann <arcam@ccux-linux.de>  1.10.3-1
- Version update
* Sun May 11 2008 Karsten Brockmann <arcam@ccux-linux.de>  1.10.2-1
- Version update
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de>  1.10.1-1
- Version update
* Fri Mar 21 2008 Karsten Brockmann <arcam@ccux-linux.de>  1.9.2-1
- Version update
* Fri Jan 04 2008 Karsten Brockmann <arcam@ccux-linux.de>  1.9.0-1
- Version update
* Thu Nov 29 2007 Christian Metzen <metzench@ccux-linux.de> 1.8.1-1
- Version update
* Fri Oct 26 2007 Christian Metzen <metzench@ccux-linux.de> 1.7.2-2
- added busybox.links file to package, better to know what symlinks should be there
* Sat Oct 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.7.2-1
- Initial Release
